Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.de
Class GermanStemmer

    java.lang.Object
      org.apache.lucene.analysis.de.GermanStemmer

    public class GermanStemmer

extends Object

A stemmer for German words.

The algorithm is based on the report "A Fast and Simple Stemming Algorithm for German Words" by Jörg Caumanns (joerg.caumanns at isst.fhg.de).

Constructor Summary
`GermanStemmer()`

Method Summary
`protected String` | `stem(String term)` Stemms the given term to an unique `discriminator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GermanStemmer

    public GermanStemmer()

Method Detail

### stem

    protected String stem(String term)

  Stemms the given term to an unique `discriminator`.

  Parameters:
    `term` - The term that should be stemmed.
  Returns:
    Discriminator for `term`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD